#include <iostream>
#include <string>
using namespace std;
/**
 s1 și s2 conțin niște șiruri de caractere,
 doar litere mari ale alfabetului englezesc.
 Vocalelor le atribuim puncte, și anume: A și E = 2 puncte
 I și O = 4 puncte, U=6  puncte.
 Pentru fiecare vocală care apare în primul string, se calculează
punctele așa cum sunt, dacă ea NU apar și în al doilea, sau se
dublează valoarea punctelor în caz că apare.
  Trebuie să implementăm codul funcției de mai jos astfel încât
să rezolve această problemă.
Ex:
s1="ANA ARE O OAIE ROZ"
s2="MARA RUPE USA"
ne interesează DOAR vocalele din s1:
A - apare și jos - dublăm: 2*2
A - la fel: 2*2
A - la fel: 2*2
E - la fel: 2*2
O - NU apare jos - punctele ca atare: 4
O - la fel: 4
A - apare și jos: 2*2
I - NU apare jos = punctele ca atare 4
E - apare și jos: 2*2
O - NU apare jos - punctele ca atare: 4
TOTAL: 40

ne amintim că funcția
s.find(subs) - caută prima apariție a lui subs în s.
 Dacă găsește, atunci întoarce indicele la care a găsit.
Dacă NU găsește, întoarce -1
*/
int solve(string s1,string s2)
{///parcurgem s1 și verificăm DOAR caracterele care ne interesează
    int i,total=0;
    for(i=0;i<s1.size();i++)
        if(s1[i]=='A'||s1[i]=='E')///caut caract. în celălalt șir
            if(s2.find(s1[i])!=-1)total+=4;
            else total+=2;
        else
           if(s1[i]=='I'||s1[i]=='O')
                if(s2.find(s1[i])!=-1)total+=8;
                else total+=4;
           else
            if(s1[i]=='U')
                if(s2.find(s1[i])!=-1)total+=12;
                else total+=6;
    return total;
}

int main()
{
    string s1,s2;
    getline(cin,s1);
    getline(cin,s2);
    cout<<solve(s1,s2);
    return 0;
}
