#include <iostream>
using namespace std;
/**
  Să se implementeze funcția de mai jos, care să calculeze pentru
stringul dat următoarea valoare:
 - se împarte stringul în cuvinte (se garantează că în string
sunt doar litere mari și spații - pot fi mai multe spații
între cuvinte)
 - se iau DOAR cuvintele de-o literă sau de 2 litere, care
 sunt formate exclusiv din vocale. Acestea au următoarele
punctaje: A=1, E=2, I=3, O=4, U=5.
  Dacă avem de-a face cu un cuvânt format dintr-o singură
vocală se adună pur și simplu punctajul ei.
 Dacă e format din două vocale, se adună punctajele lor înmulțite.
Ex:
AM   O   OAIE   DE   LA   EA   SI   E   UN OU   PE MASA
Răspuns:
O - 4
EA - 2*1=2
E - 2
OU - 20
Răspuns: 28
*/
int rezolva(string s)
{
    ///trebuie să separăm cuvintele din stringul dat în funcție
///de spații. Voi proceda astfel: la fiecare pas caut primul spațiu.
///extrag cuvântul până la acel spațiu într-un string.
///ȘTERG apoi cuvântul cu tot cu spațiu și continui până stringul
///devine vid.
   ///Dat fiind că ultimul cuvânt NU are spațiu după el, punem noi
///un spațiu la final:
    s+=" ";
    int total=0,p1,p2;
    int sp_pos=s.find(" ");
    string cuv;
    while(sp_pos!=-1)
    {
        cuv=s.substr(0,sp_pos);
        if(cuv.size()==1)
        {
            if(cuv[0]=='A')total+=1;
            if(cuv[0]=='E')total+=2;
            if(cuv[0]=='I')total+=3;
            if(cuv[0]=='O')total+=4;
            if(cuv[0]=='U')total+=5;
        }
        else
            if(cuv.size()==2)
            {///determin p1=punctajul pt. primul caracter
            ///p2=punctajul pt. al doilea carcater
            ///dacă primul sau al doilea caracter NU sunt vocale
            ///punctajul respectiv este 0
                if(cuv[0]=='A')p1=1;
                else if(cuv[0]=='E')p1=2;
                else if(cuv[0]=='I')p1=3;
                else if(cuv[0]=='O')p1=4;
                else if(cuv[0]=='U')p1=5;
                    else p1=0;
                if(cuv[1]=='A')p2=1;
                else if(cuv[1]=='E')p2=2;
                else if(cuv[1]=='I')p2=3;
                else if(cuv[1]=='O')p2=4;
                else if(cuv[1]=='U')p2=5;
                    else p1=0;
                total+=p1*p2;
            }
        s.erase(0,sp_pos+1);
        sp_pos=s.find(" ");
    }
    return total;
}

int main()
{
    string s;
    getline(cin,s);
    cout<<rezolva(s);
    return 0;
}
